Bug 6745 - with 2.2.12-20smp, gdb 4.18 cores on startup with large files
with 2.2.12-20smp, gdb 4.18 cores on startup with large files
Product: Red Hat Linux
Classification: Retired
Component: gdb (Show other bugs)
i386 Linux
high Severity high
: ---
: ---
Assigned To: Nalin Dahyabhai
Depends On:
  Show dependency treegraph
Reported: 1999-11-05 01:51 EST by jellej
Modified: 2008-05-01 11:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 1999-11-22 17:25:34 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description jellej 1999-11-05 01:51:27 EST
This is an out-of-the-box install. I'm running dual Celerons
at standard speed with 128M ECC first quality memory. I've
been developing with linux since kernel 0.99.

With RedHat 6.1 kernel 2.2.12-20smp, gdb cores on startup
with large files. The files where developed using g++ and
gdb on RedHat 5.2 kernel 2.0.36-0.7. The resulting
executable is 1.5M. Recompiling the source code on 6.1
worked. Regression tests are okay. The program is a parser
written in c++ and does not use any third-party libraries.
The program is compiled with "-fguiding-decls" switch.

gdb was the following message:
GNU gdb 4.18
Copyright 1998 Free Software Foundation, Inc.
GDB is free software, covered by the GNU General Public
License, and you are welcome to change it and/or distribute
copies of it under certain conditions.
Type "show copying" to see the conditions.
There is absolutely no warranty for GDB.  Type "show
warranty" for details.
This GDB was configured as
"i386-redhat-linux"...Segmentation fault (core dumped)

Debugging small files (less than 100k executable) works.
Cores occur in tty, xterm, and emacs sessions.

Trying "gdb core" results in a message:
".../core: not in executable format: File format not

------- Additional Comments From   11/06/99 01:31 -------
I've narrowed the problem to STL rope. The following program causes
gdb to core on startup:

// compile with: g++ -g -o test test.cpp
// debug with gdb ./test
#include <rope.h>
int main() {
  crope alpha;
  return 0;
Comment 1 Jim Kingdon 1999-11-22 17:25:59 EST
I can reproduce this bug with 4.18-4, which we shipped with 6.1.  When
I try with 4.18-6, from Rawhide, the problem goes away.  I'd guess a
demangling bug but I didn't actually rebuild -4 from source to check.
If you find problems remain with -6, please report it - thanks for a
good bug report.

Note You need to log in before you can comment on or make changes to this bug.